public class StaticFieldsII {
        static long l = 0;

        public static void main(String[] args) {
		l = 0xFFFFFFFF * 2;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		l = l;
		System.out.println( l == l );
        }
}
